
#ifneq ($(TARGET_SIMULATOR),true)

LOCAL_PATH				:=	$(call my-dir)

include $(CLEAR_VARS)

CROSS_COMPILE			:=	$(CURDIR)/prebuilts/gcc/linux-x86/arm/armv7a-cros-linux-gnueabi-4.9.2/bin/armv7a-cros-linux-gnueabi-
TARGET_LINUXPATH		:=	$(CURDIR)/$(TARGET_OUT_INTERMEDIATES)/KERNEL_OBJ
TARGET_PREBUILT_KERNEL	:=	$(PRODUCT_OUT)/kernel

MGC3X30_MODULE			:=	$(LOCAL_PATH)/mgc3x30.ko
MGC3X30_SUBDIRS			:=	$(CURDIR)/$(LOCAL_PATH)
MGC3X30_SRC_FILES		:=	$(addprefix $(MGC3X30_SUBDIRS)/,module.c)
MGC3X30_CLEANUP			:=	$(addprefix $(MGC3X30_SUBDIRS)/,	\
								*.o								\
								*.mod.?							\
								.*cmd							\
								.tmp_versions					\
								Module.symvers					\
								modules.order					\
							)

LOCAL_MODULE			:=	mgc3x30.ko
LOCAL_MODULE_TAGS		:=	debug
LOCAL_MODULE_CLASS		:=	ETC
LOCAL_MODULE_PATH		:=	$(TARGET_OUT)/lib/modules
LOCAL_SRC_FILES			:=	mgc3x30.ko


$(MGC3X30_MODULE) : $(TARGET_PREBUILT_KERNEL) $(MGC3X30_SRC_FILES) $(MGC3X30_SUBDIRS)/Android.mk $(MGC3X30_SUBDIRS)/Makefile
	@make ARCH=arm CROSS_COMPILE=$(CROSS_COMPILE) -C $(TARGET_LINUXPATH) SUBDIRS=$(MGC3X30_SUBDIRS) modules
	@$(CROSS_COMPILE)strip --strip-unneeded $@
	@rm -rf $(MGC3X30_CLEANUP)


include $(BUILD_PREBUILT)

#endif
